I would like to change the final arc drawn to a radial linetype, color 4 while leaving the arrow head intact as bylayer color and linetype. the line with "ENTLAST" doesnt work. It doesnt grab the last drawn entity so the arc is remaining as current linetype. (defun c:ALEAD() (prompt " Are the DIMSCALE and DIMASZ variables set? ") (setq SP (getpoint " Arrow start point")) (setq ANGP (getpoint SP " Arrow angle")) (setq ARRANG (angle SP ANGP)) (if (= 0.0 (getvar "DIMASZ")) (setq LENG 1.0) (setq LENG (* 1.3 (getvar "DIMASZ"))) ) (setq EP (polar SP arrang (* LENG (getvar "DIMSCALE")))) (setq PLENG (* 0.20 LENG (getvar "DIMSCALE"))) (command ".PLINE" SP "W" "0.0" PLENG EP "W" "0.0" "0.0" "") (command ".PLINE" ep "w" "0.0" "0.0" "ARC") (COMMAND ".CHANGE" (ENTLAST) "" "P" "LT" "radial" "P" "C" "4") (COMMAND "") )